/* Iperf100.h */
struct web100_agent *web100_Init();
void web100_ThreadCount(int, int);
int *web100_Report(struct web100_connection *);
int web100_Print3(int *,int);
int web100_ThreadCheck(struct web100_agent *);
struct web100_agent *web100_GetAgent();

extern "C" {
#include "web100.h"
#include "web100-int.h"
#include "headers.h"
}

extern "C" { 
  int web100_agent_find_var_and_group(web100_agent*, const char*, web100_group**, web100_var**);
  web100_snapshot* web100_snapshot_alloc(web100_group *, web100_connection *);
  int web100_snap(web100_snapshot *);
  int web100_snap_read(web100_var *, web100_snapshot *, void *);
  web100_agent* web100_attach(int, void *);
  void web100_perror(const char*);
  void web100_detach(web100_agent *);
  web100_connection* web100_connection_new_local_copy(web100_connection
*src);
  web100_connection* web100_connection_from_socket(web100_agent* _agent, int _sockfd);
}
